DeepDomainClassMarshaller (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.xml
[Java] Class DeepDomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.xml.DomainClassMarshaller
              org.codehaus.groovy.grails.web.converters.marshaller.xml.DeepDomainClassMarshaller

    public class DeepDomainClassMarshaller
    extends DomainClassMarshaller

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class DomainClassMarshaller
application, includeVersion, proxyHandler

Constructor Summary
`DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)`
`DeepDomainClassMarshaller(GrailsApplication application)`
`DeepDomainClassMarshaller(boolean includeDomainVersion, ProxyHandler proxyHandler, GrailsApplication application)`

Method Summary
`protected boolean` | `isRenderDomainClassRelations()`

Methods inherited from class DomainClassMarshaller
asShortObject, isRenderDomainClassRelations, marshalObject, shouldInitializeProxies, supports

Methods inherited from class IncludeExcludePropertyMarshaller
excludesProperty, includesProperty, shouldInclude

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(GrailsApplication application)

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeDomainVersion, ProxyHandler proxyHandler, GrailsApplication application)

Method Detail

### isRenderDomainClassRelations

    @java.lang.Override
    protected boolean isRenderDomainClassRelations()

Groovy Documentation